/*
 * Cette méthode est appelée au chargement de la page et fait appel a un GET
 * permettant de charger les données administrateur.
 */
function doLoader(){
    GET_DataAdmin(loaderSuccess, loaderfailed);
}

/*
 * Cette méthode est appelée en cas du succes du chargement des données, elle 
 * informe de son succes et appèle a méthode printData qui va afficher les données.
 * 
 * @param : un tableau JSON des données.
 */
function loaderSuccess(data){
    console.log("Loader Executed Successfully !")
    printData(data);
}

/*
 * cette méthode est appelée en cas d'erreur lors du chargemnent des données, elle
 * va simplement écrire le résultat du GET dans la console.
 * 
 * @param data : un tableau JSON des données.
 */
function loaderfailed(data){
    console.log("Loader Failed To Opperate.");
    console.log(JSON.stringify(data));
}


/*
 * cette méthode permet de quitter la page.
 */
function doDelog() {
    window.open("index.html", "_self");
}

/*
 * cette méthode permet d'ajouter du texte HTMl a un id.
 * 
 * @param id : l'id ou le texte doit être appondu.
 * @param string : le texte a appondre.
 */
function appendToId(id,string){
  $(id).append(string);
}